List all sessions
curl --request GET \
--url http://127.0.0.1:8787/v1/sessions \
--header 'Authorization: Bearer <token>'import requests
url = "http://127.0.0.1:8787/v1/sessions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('http://127.0.0.1:8787/v1/sessions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "vs_mza7vecksrtyfw193ekcvl5vnws3bt1lz96buu3iw7zidckf8dga2zx2echb3t16",
"status": "created",
"failure_code": null,
"nfc_tries_used": 0,
"liveness_tries_used": 0,
"contract_version": 1,
"share_fields": {
"document_type_code": {
"required": false,
"reason": "Needed to know the document type code",
"source": "rc"
},
"date_of_birth": {
"required": true,
"reason": "Needed to verify age eligibility",
"source": "rc"
},
"kayle_document_id": {
"required": true,
"reason": "Sharing \"Kayle Document ID\"",
"source": "default"
}
},
"redirect_url": "https://example.com/redirect",
"webhook_endpoint_id": null,
"verification_url": "https://verify.kayle.id/vs_mza7vecksrtyfw193ekcvl5vnws3bt1lz96buu3iw7zidckf8dga2zx2echb3t16",
"expires_at": "2025-01-01T00:00:00Z",
"completed_at": null,
"created_at": "2025-01-01T00:00:00Z",
"updated_at": "2025-01-01T00:00:00Z"
}
],
"error": null,
"pagination": {
"limit": 10,
"has_more": false,
"next_cursor": null
}
}{
"data": null,
"error": {
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error.",
"hint": "The server encountered an error.",
"docs": "https://kayle.id/docs/api/errors"
},
"pagination": {
"limit": 123,
"has_more": false,
"next_cursor": null
}
}Sessions
List all sessions
GET
/
v1
/
sessions
List all sessions
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Filter sessions by status.
Available options:
created, in_progress, succeeded, failed, expired, cancelled Return sessions created at or after this ISO 8601 timestamp.
Return sessions created at or before this ISO 8601 timestamp.
Maximum number of sessions to return. Defaults to 10 if not specified.
Required range:
1 <= x <= 100Cursor of the last item from the previous page. When provided, the next page of results will be returned.
Pattern:
^vs_[A-Za-z0-9]{64}$⌘I